Category Features, Object ProFeature

Function ProFeatureZonesectionWithflipCreate


Description
Create zone feature by its planes and operations. The same as ProFeatureZonesectionCreate but also allows the user to add a flip for zone planes: see ProZoneReferenceWithFlip.
Replacement in Object TOOLKIT: wfcWSolid::CreateZoneSectionFeature
Synopsis
#include <ProXsec.h>
ProErrorProFeatureZonesectionWithflipCreate(
ProSolid p_solid
/* (In)
The solid handle.
*/
ProZoneReferenceWithflip* zone_refs
/* (In)
ProArray of ProZoneReferenceWithflip for zone reference planes. We keep the material that belongs to the intersection and union of planes' half spaces. Pass NULL to memb_id_tab member of this structure, when the feature is owned by a part.
*/
ProName zone_name
/* (In)
Zone name handle. If a zone with this name exists, the function returns PRO_TK_E_FOUND.
*/
ProFeature* p_zone
/* (Out)
ProFeature handle.
*/
)
Returns
PRO_TK_NO_ERRORZone feature successfully created.
PRO_TK_BAD_INPUTSInvalid input/output parameter(s).
PRO_TK_GENERAL_ERRORFailure to create zone.
PRO_TK_E_FOUNDZone with given name already exists.

Manual References:

  1. Core: Features: Feature Inquiry
  2. Core: Features: Feature Inquiry